REM First set the WASM environment variables.

call %3emsdk activate latest
call %3emsdk_env.bat

REM Compile the file and clean up if necessary
del web\mdl.js
del web\mdl.wasm

REM now compile mdl_wasm.c

mkdir web

call emcc mdl_wasm.c %2 -s WASM=1 -o web\mdl.js -s TOTAL_MEMORY=64MB -s ALLOW_MEMORY_GROWTH=1 -s FORCE_FILESYSTEM=1 -s FETCH=1 -s EXPORTED_FUNCTIONS="['_LoadRun','_CloseRun','_GetNumberOfSubscriptElements','_GetConstant','_AddCINFile','_GetSeries','_SetDebugModeOff','_GetValueAtTime','_SetDebugModeOn','_DumpResultstoStdOut','_DumpResultsToDisk','_InitializeModel','_IsVensimLoaded','_RunSim','_main','_GetTimeSeriesNumVals','_FindLookup','_Get_LookupName','_Get_NUM_AUX','_Get_NUM_DELAYS','_Get_NUM_LEVELS','_Get_NUM_LOOKUPS','_Get_NUM_VARS','_Get_VarName','_Get_VarType','_GetConstantUsingIndex','_GetConstantUsingVarName','_GetNumVariables','_GetVariableIndex','_GetVariableName','_GetVariableType','_SetConstant','_SetLookup']" -s EXTRA_EXPORTED_RUNTIME_METHODS="['ccall', 'cwrap']" -Wno-int-to-pointer-cast -Wno-pointer-sign -Wno-int-to-void-pointer-cast -Wno-int-conversion
REM call emcc --proxy-to-worker mdl_wasm.c %2 -s WASM=1 -o web\mdl.js -s TOTAL_MEMORY=32MB -s ALLOW_MEMORY_GROWTH=1 -s FORCE_FILESYSTEM=1 -s FETCH=1 -s EXPORTED_FUNCTIONS="['_LoadRun','_CloseRun','_GetNumberOfSubscriptElements','_GetConstant','_AddCINFile','_GetSeries','_SetDebugModeOff','_GetValueAtTime','_SetDebugModeOn','_DumpResultstoStdOut','_InitializeModel','_IsVensimLoaded','_RunSim','_main','_GetTimeSeriesNumVals','_FindLookup','_Get_LookupName','_Get_NUM_AUX','_Get_NUM_DELAYS','_Get_NUM_LEVELS','_Get_NUM_LOOKUPS','_Get_NUM_VARS','_Get_VarName','_Get_VarType','_GetConstantUsingIndex','_GetConstantUsingVarName','_GetNumVariables','_GetVariableIndex','_GetVariableName','_GetVariableType','_SetConstant','_SetLookup']" -s EXTRA_EXPORTED_RUNTIME_METHODS="['ccall', 'cwrap']" -Wno-int-to-pointer-cast -Wno-pointer-sign -Wno-int-to-void-pointer-cast -Wno-int-conversion

echo "Batch file complete!"

REM pause
